using Modules.User.Application.Models;
using Modules.User.Application.Models.User.Session;

namespace Modules.User.Application.Interfaces;

public interface ILocationService
{
    ValueTask<Location> GetLocationAsync(string? ip, CancellationToken cancellationToken);
    ValueTask<Location?> TryGetLocationAsync(string? ip, CancellationToken cancellationToken);
}